Bug 17105 - /usr/share/gdb/{guile,python}/ get installed even --without-{guile,python}
Summary: /usr/share/gdb/{guile,python}/ get installed even --without-{guile,python}
Status: RESOLVED FIXED
Alias: None
Product: gdb
Classification: Unclassified
Component: build (show other bugs)
Version: HEAD
: P2 minor
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-01 17:33 UTC by Jan Kratochvil
Modified: 2014-07-28 01:08 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
naesten: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Kratochvil 2014-07-01 17:33:50 UTC
gdb/data-directory/Makefile.in
install-only: install-syscalls install-python install-guile \
                                              ^^^^^^^^^^^^^
This should be conditional from configure.

python has the same bug.
Comment 1 dje 2014-07-02 14:06:33 UTC
I thought I might have messed up somewhere from a brief read of the Summary line.
Summary line updated.
Comment 2 cvs-commit@gcc.gnu.org 2014-07-26 23:43:24 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gdb and binutils".

The branch, master has been updated
       via  4df427550679698832ea9c01e0b561e77d98249c (commit)
      from  ee7333ae06f46f3a6909a0059c2f0bd441a54bfe (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=4df427550679698832ea9c01e0b561e77d98249c

commit 4df427550679698832ea9c01e0b561e77d98249c
Author: Doug Evans <xdje42@gmail.com>
Date:   Sat Jul 26 16:41:29 2014 -0700

    PR build/17105.
    
    Tested with/without guile,python on amd64-linux.
    
    I'm not sure we still have to deal with shells that can't
    handle empty for lists, but I played it safe.
    Otherwise this patch would be a lot smaller (though a diff -b
    will still show the real changes).
    
    	PR build/17105
    	* configure.ac: Add AM_CONDITIONALs for HAVE_PYTHON, HAVE_GUILE.
    	* configure: Regenerate.
    	* data-directory/Makefile.in (PYTHON_FILE_LIST): Renamed from
    	PYTHON_FILES.
    	(PYTHON_FILES): New variable.
    	(GUILE_FILE_LIST): Renamed from GUILE_FILES.
    	(GUILE_FILES): New variable.
    	(stamp-python, install-python, uninstall-python): Handle empty
    	file list.
    	(stamp-guile, install-guile, uninstall-guile): Ditto.

-----------------------------------------------------------------------

Summary of changes:
 gdb/ChangeLog                  |   14 ++++++
 gdb/configure                  |   28 +++++++++++
 gdb/configure.ac               |    2 +
 gdb/data-directory/Makefile.in |   98 +++++++++++++++++++++++----------------
 4 files changed, 102 insertions(+), 40 deletions(-)
Comment 3 cvs-commit@gcc.gnu.org 2014-07-27 03:53:41 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gdb and binutils".

The branch, gdb-7.8-branch has been updated
       via  8550a71c58606a473ab74f4cd3d05c1d3406612c (commit)
      from  68455456ca7b1f35ce97f62c50b466e2fc9cce8f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=8550a71c58606a473ab74f4cd3d05c1d3406612c

commit 8550a71c58606a473ab74f4cd3d05c1d3406612c
Author: Doug Evans <xdje42@gmail.com>
Date:   Sat Jul 26 20:51:44 2014 -0700

    PR build/17105.
    
    Tested with/without guile,python on amd64-linux.
    
    I'm not sure we still have to deal with shells that can't
    handle empty for lists, but I played it safe.
    Otherwise this patch would be a lot smaller (though a diff -b
    will still show the real changes).
    
    	PR build/17105
    	* configure.ac: Add AM_CONDITIONALs for HAVE_PYTHON, HAVE_GUILE.
    	* configure: Regenerate.
    	* data-directory/Makefile.in (PYTHON_FILE_LIST): Renamed from
    	PYTHON_FILES.
    	(PYTHON_FILES): New variable.
    	(GUILE_FILE_LIST): Renamed from GUILE_FILES.
    	(GUILE_FILES): New variable.
    	(stamp-python, install-python, uninstall-python): Handle empty
    	file list.
    	(stamp-guile, install-guile, uninstall-guile): Ditto.

-----------------------------------------------------------------------

Summary of changes:
 gdb/ChangeLog                  |   14 ++++++
 gdb/configure                  |   28 +++++++++++
 gdb/configure.ac               |    2 +
 gdb/data-directory/Makefile.in |   98 +++++++++++++++++++++++----------------
 4 files changed, 102 insertions(+), 40 deletions(-)
Comment 4 Doug Evans 2014-07-28 01:08:37 UTC
patch applied